Subject: bug#70131: closed (Re: [bug#70131] [PATCH v3 0/6] Update U-Boot.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Dec 2024 23:27:02 +0000

Your bug report

#70131: [PATCH 0/5] Add bootloaders and update U-Boot.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70131: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70131
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70131] [PATCH v3 0/6] Update U-Boot.
From: Vagrant Cascadian <[email-masked]>
To: Herman Rimm <[email-masked]>, [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Wed, 18 Dec 2024 15:25:48 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2024-12-13, Herman Rimm wrote:
> Herman Rimm (6):
>   Revert "gnu: u-boot-tools: Fix segfault while running tests."
>   gnu: u-boot: Update to 2024.10.
>   gnu: u-boot-tools: Remove extraneous native-input.
>   gnu: u-boot: Use search-patches.
>   gnu: bootloaders: u-boot-sandbox: Reformat.

Thanks for your work on all this!

After testing that everything at least builds on x86_64-linux, and most
of the targets built on aarch64-linux, and some boot testing of a few
targets, these were pushed as:

1a62f687e504c67f26693f3bc60a90e503ab4ea9 gnu: bootloaders: u-boot-sandbox: Reformat.
56c6466887a3fdca0bc407418f807448a58e35d2 gnu: u-boot: Use search-patches.
9e858182581fa17f6248bbbcb9d8742320a42217 gnu: u-boot-tools: Remove extraneous native-input.
ef50749aed807de28458b38b35e941a414637459 gnu: u-boot: Update to 2024.10.
8a016fa0562e7f23b32a3fa25542b19af64b9c0e Revert "gnu: u-boot-tools: Fix segfault while running tests."

>   gnu: u-boot: Use guix-name.

I left out the guix-name patch as it failed to build.

With that update out of the way, hopefully it will make the other
changes a little easier to finish up!

live well,
  vagrant

Subject: [PATCH 0/5] Add bootloaders and update U-Boot.
From: Herman Rimm <[email-masked]>
To: [email-masked]
Cc: Herman Rimm <[email-masked]>
Date: Mon, 1 Apr 2024 22:20:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Besides the bootloader, there is a patch for my Nano Pi R4S variant. For
the new U-Boot release, kwbimage now enables openssl. Disabling kwbimage
makes the sandbox tests fail. I disabled the tests and have not
investigated further. The new release adds support for the Orange Pi
Zero 2W, for which I also added a bootloader. Along the way I upgraded
the ATF package, though I don't think it's required for the Zero 2W.

Cheers,
Herman

Herman Rimm (5):
  gnu: bootloader: Add nanopi-r4s-rk3399 bootloader.
  gnu: u-boot: Use DDR3 patch for Nano Pi R4S.
  gnu: firmware: Update make-arm-trusted-firmware to 2.10.
  gnu: u-boot: Update to 2024.04-rc5.
  gnu: bootloader: Add orangepi-zero2w bootloader.

 gnu/bootloader/u-boot.scm                     |  24 +++-
 gnu/local.mk                                  |   4 +-
 gnu/packages/bootloaders.scm                  |  66 ++++++++--
 gnu/packages/firmware.scm                     |  11 +-
 .../u-boot-build-without-libcrypto.patch      | 123 ------------------
 .../patches/u-boot-nanopi-r4s-ddr3.patch      |  25 ++++
 6 files changed, 110 insertions(+), 143 deletions(-)
 delete mode 100644 gnu/packages/patches/u-boot-build-without-libcrypto.patch
 create mode 100644 gnu/packages/patches/u-boot-nanopi-r4s-ddr3.patch

base-commit: a17976e975001d3e95c998f1196a39bbb432de4f
-- 
2.41.0